{#
/**
 * CakePHP(tm) : Rapid Development Framework (https://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 * @link          https://cakephp.org CakePHP(tm) Project
 * @since         2.0.0
 * @license       https://www.opensource.org/licenses/mit-license.php MIT License
 */
#}
        public function delete($id = null)
        {
            $this->getRequest()->allowMethod(['post', 'delete']);
            ${{ singularName }} = $this->{{ currentModelName }}->get($id);
{% if Bake.hasPlugin('Authorization') %}
            //$this->Authorization->authorize(${{ singularName }});
{% endif %}

            if ($this->{{ currentModelName }}->delete(${{ singularName }})) {
                $this->Flash->success('The {{ singularHumanName|lower }} has been deleted.');
            } else {
                $this->Flash->error('The {{ singularHumanName|lower }} could not be deleted.');
                $this->Flash->entityError(${{ singularName }});
            }

            return $this->redirect(['action' => 'index']);
        }
